header {
  height: 42px;
  background-color: $brand-white;
  padding: 8px;
  box-sizing: border-box;
  border-bottom: 1px solid #EAE5F9;

  @media only screen and (min-width: 768px) {
    height: 80px;
    padding: 40px;
  }
  .navbar {
    height: 100%;
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    .navbar-left {
      width: 25%;
      display: flex;
      align-items: center;
      .navbar-logo {
        margin-right: 40px;
        img {
          height: 24px;
          @media only screen and (min-width: 768px) {
            height: 48px;
          }
        }
      }
    }
    .games-btn {
      font-family: 'Open Sans', sans-serif;
      font-size: 16px;
      font-weight: 800;
      line-height: 1.5;
      color: $brand-primary-600;
      img {
        transition: transform .3s;
        width: 16px;
      }
    }
    .right-box {
      width: 25%;
      display: flex;
      justify-content: flex-end;
      .notific-btn {
        margin: 0 8px;
        position: relative;
        .notific-circle {
          position: absolute;
          right: 11px;
          top: 3.6px;
          width: 5.8px;
          height: 5.8px;
          border-radius: 50%;
          background-color: $brand-second;
        }
      }
      .sidebar-btn {
        z-index: 400;
      }
      @media only screen and (min-width: 768px) {
        margin: 0;
      }
    }
  }
  .events-link {
    @media only screen and (max-width: 767px) {
      opacity: 0;
    }
  }
  .lang-btn {
    @media only screen and (max-width: 767px) {
      opacity: 0;
    }
  }

  @media only screen and (max-width: 767px) {
    &.header-mobile {
      position: relative;
      border-bottom: 0px;
      .navbar {
        padding-left: 26px;
        flex-direction: row-reverse;
        justify-content: flex-end;
        .right-box {
          width: auto;
          justify-content: space-between;
        }
        .sidebar-btn {
          position: absolute;
          right: 8px;
          top: 5.5px;
        }
      }
    }
  }

}

.language-swither {
  background-color: $brand-white;
  z-index: 300;
  max-height: 0;
  transition: max-height .3s;
  overflow: hidden;
  &.open {
    max-height: 200px;
  }
  @media only screen and (min-width: 768px) {
   position: absolute;
   width: 260px;
   right: 90px;
  }
  .language-swither-item {
    display: flex;
    padding: 16px 40px;
    transition: background .2s;
    position: relative;
    &.active {
      background-color: $brand-primary-100;
      ::after {
        display: block;
        content: '';
        background: transparent  url('/images/icons/check-grey.svg');
        background-size: cover;
        width: 16px;
        height: 16px;
        position: absolute;
        right: 40px;
        top: calc((100% - 16px) / 2)
      }
    }
    &:hover {
      background-color: $brand-primary-100;
    }
    img {
      width: 24px;
      margin-right: 16px;
    }
    a {
      color: $brand-primary-600;
    }
  }
}

.events-link {
  display: flex;
  opacity: 1;
  font-size: 14px;
  color: $brand-primary-600;
  align-items: center;
  padding: 0 10px;
  img {
    margin-right: 4px;
    width: 24px;
  }
}
.lang-btn {
  display: flex;
  opacity: 1;
  align-items: center;
  .lang-img {
    margin-right: 4px;
  }
}

@media only screen and (max-width: 767px) {
  .visable {
    opacity: 1!important;
  }
  .toggle-menu {
    display: none;
  }

}


.notific-box {
  max-height: 0;
  width: 100%;
  position: absolute;
  z-index: 150;
  box-sizing: border-box;
  background: $brand-white;
  overflow-y: scroll;
  color: $brand-primary-600;
  transition: max-height .3s;
  &.open {
    max-height: 480px;
  }
  h3 {
    font-size: 20px;
    padding: 0 32px;
    margin: 32px 0;
  }
  .notific-single {
    display: flex;
    align-items: flex-start;
    font-size: 14px;
    margin-bottom: 24px;
    padding: 0 32px;
    box-sizing: border-box;

    &:hover {
      padding-left: 28px;
      border-left: 4px solid $brand-second;
    }
    img {
      width: 16px;
      margin-right: 16px;
    }
  }
  @media only screen and (min-width: 768px) {
    width: 360px;
    right: 90px;
  }
  &::-webkit-scrollbar {
    width: 4px;
  }
  &::-webkit-scrollbar-track {
    background: $brand-white;
  }
  &::-webkit-scrollbar-thumb {
    background: $brand-primary-400;
    border-radius: 2px;
  }
}

.games-container {
  position: absolute;
  z-index: 400;
  background-color: $brand-white;
  padding: 0;
  max-height: 0;
  transition: max-height .3s, padding .3s;
  overflow: hidden;
  &.open {
    max-height: 400px;
    padding: 15px 8px 0 8px;
  }
  .games-container-content {
    display: flex;
    justify-content: space-between;
    flex-flow: row wrap;
    .game-single {
      position: relative;
      display: flex;
      width: calc((100% / 3) - 16px);
      margin: 0 8px;
      margin-bottom: 16px;
      box-sizing: border-box;
      img {
        width: 100%;
      }
      .btn-primary {
        padding: 13px 20px;
      }
      @media only screen and (min-width: 768px) {
        width: calc((100% / 4) - 16px);
      }
      @media only screen and (min-width: 992px) {
        width: calc((100% / 5) - 16px);
      }
      &:hover {
        .game-hover-btn {
          background-color: rgba(18,3,61,0.3);
          opacity: 1;
        }
      }
    }
    &::after {
      content: "";
      flex: auto;
    }
  }
  @media only screen and (min-width: 768px) {
    box-sizing: border-box;
    width: 668px;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    &.open {
      padding: 40px 32px 24px 32px;
    }
  }
  @media only screen and (min-width: 992px) {
    width: 954px;
  }
}
